com.mockobjects.servlet

## Class MockRequestDispatcher

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.servlet.MockRequestDispatcher

- All Implemented Interfaces:
    Verifiable

      public class MockRequestDispatcher
      extends MockObject

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockRequestDispatcher()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `forward(ServletRequest aRequest, ServletResponse aResponse)`
    `void` | `include(ServletRequest aRequest, ServletResponse aResponse)`
    `void` | `setExpectedRequest(ServletRequest aRequest)`
    `void` | `setExpectedResponse(ServletResponse aResponse)`

    - ### Methods inherited from class com.mockobjects.MockObject

      `notImplemented, notYetImplemented, verify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockRequestDispatcher

          public MockRequestDispatcher()

  - ### Method Detail

    - #### setExpectedRequest

          public void setExpectedRequest(ServletRequest aRequest)

    - #### setExpectedResponse

          public void setExpectedResponse(ServletResponse aResponse)

    - #### forward

          public void forward(ServletRequest aRequest,
                              ServletResponse aResponse)
                       throws ServletException,
                              java.io.IOException

      Throws:
        `ServletException`
        `java.io.IOException`

    - #### include

          public void include(ServletRequest aRequest,
                              ServletResponse aResponse)
                       throws ServletException,
                              java.io.IOException

      Throws:
        `ServletException`
        `java.io.IOException`

Copyright © 2002 Mock Objects. All Rights Reserved.